# we have to specify axis=0 to make it clear we're averaging per segment, not averaging the entire array for f1, f2...
weighted_tau = np.average(tau, axis=0, weights=a_out)

plt.figure(figsize=(15,5))

plt.xlabel("Time, d")
plt.ylabel(r"$\tau$, s")
for i in np.arange(len(freqs)):
    plt.scatter(t,tau[i],alpha=0.7)

# Add the weighted average in black
plt.scatter(t,weighted_tau,color='k',alpha=0.9)
